#include <bits/stdc++.h>
using namespace std;

int main()
{
    int s;
    cin>>s;
    long long duzina=0;
    long long brojjedan[10]={0};
    long long temp=s,proslibroj,sledecibroj,broj=0,af;
    for (duzina=0;temp>0; duzina++) {
        temp=temp/10;
    }
    vector<int> a;
    for(; s; s/=10)
        a.push_back( s%10 );
    reverse(a.begin(),a.end());

    for(int i=0; i<duzina; i++){
        switch(a[i]){
        case 0: brojjedan[0]++;
                break;
        case 1: brojjedan[1]++;
                break;
        case 2: brojjedan[2]++;
                break;
        case 3: brojjedan[3]++;
                break;
        case 4: brojjedan[4]++;
                break;
        case 5: brojjedan[5]++;
                break;
        case 6: brojjedan[6]++;
                break;
        case 7: brojjedan[7]++;
                break;
        case 8: brojjedan[8]++;
                break;
        case 9: brojjedan[9]++;
                break;


        }
        }





for(long long trenutnibroj=0; trenutnibroj<10; trenutnibroj++){
        if(brojjedan[trenutnibroj]>1){
            for(long long pozicija=0; pozicija<duzina; pozicija++){
                if(a[pozicija]==trenutnibroj){
                af=a[pozicija];
                if(pozicija==0){
                    proslibroj=a[pozicija+1];
                }
                else{
                    proslibroj=a[pozicija-1];
                }
                sledecibroj=a[pozicija+1];
                if(sledecibroj!=a[pozicija]&&a[pozicija]!=proslibroj){

                if(pozicija==0){
                        a[pozicija]=a[pozicija+1];
                        broj=broj+1;
                    brojjedan[trenutnibroj]=brojjedan[trenutnibroj]-1;
                    brojjedan[proslibroj]=brojjedan[sledecibroj]+1;
                    break;
                }
                else if(pozicija==duzina-1){
                    a[pozicija]=a[pozicija-1];
                    broj=broj+1;
                    brojjedan[trenutnibroj]=brojjedan[trenutnibroj]-1;
                    brojjedan[proslibroj]=brojjedan[proslibroj]+1;
                    break;
                }
                else if(brojjedan[sledecibroj]>brojjedan[proslibroj]){
                    a[pozicija]=a[pozicija+1];
                    broj=broj+1;
                    brojjedan[trenutnibroj]=brojjedan[trenutnibroj]-1;
                    brojjedan[sledecibroj]=brojjedan[sledecibroj]+1;

                }
                else if(brojjedan[sledecibroj]<brojjedan[proslibroj]){
                    a[pozicija]=a[pozicija-1];
                    broj=broj+1;
                    brojjedan[trenutnibroj]=brojjedan[trenutnibroj]-1;
                    brojjedan[sledecibroj]=brojjedan[proslibroj]+1;

                }
                else if(brojjedan[proslibroj]==1){
                        a[pozicija]=a[pozicija-1];
                        broj=broj+1;
                    brojjedan[trenutnibroj]=brojjedan[trenutnibroj]-1;
                    brojjedan[proslibroj]=brojjedan[proslibroj]+1;

                }
                else if(brojjedan[sledecibroj]==1) {
                    a[pozicija]=a[pozicija+1];
                    broj=broj+1;
                    brojjedan[trenutnibroj]=brojjedan[trenutnibroj]-1;
                    brojjedan[sledecibroj]=brojjedan[sledecibroj]+1;

                }



            }
        }
    }
}
}
cout<<broj;
}